F18 Katello fresh install fails PGError: ERROR: relation "content_view_definition_bases" does not

exist

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    
Difficulty:  Fixed in Releases:  
Description

A fresh F18 installation purposed for katello fails after the initial katello-configure --user-pass=admin completes.

Browsing to http://127.0.0.1/katello fails with a 503 "Service Unavailable"

Thin is not listening on port 5000 netstat -atnp | grep -i listen

tcp 0 0 127.0.0.1:27017 0.0.0.0:* LISTEN 18437/mongod

tcp 0 0 0.0.0.0:111 0.0.0.0:* LISTEN 937/rpcbind

tcp 0 0 0.0.0.0:22 0.0.0.0:* LISTEN 950/sshd

tcp 0 0 127.0.0.1:5432 0.0.0.0:* LISTEN 17125/postgres

tcp 0 0 127.0.0.1:25 0.0.0.0:* LISTEN 952/sendmail: accep

tcp6 0 0 127.0.0.1:8005 :::* LISTEN 18031/java

tcp6 0 0 :::8009 :::* LISTEN 18031/java

tcp6 0 0 :::111 :::* LISTEN 937/rpcbind

tcp6 0 0 :::80 :::* LISTEN 18964/httpd

tcp6 0 0 :::8080 :::* LISTEN 18031/java

tcp6 0 0 127.0.0.1:9200 :::* LISTEN 17498/java

tcp6 0 0 127.0.0.1:9300 :::* LISTEN 17498/java

tcp6 0 0 :::22 :::* LISTEN 950/sshd

tcp6 0 0 ::1:5432 :::* LISTEN 17125/postgres

tcp6 0 0 :::443 :::* LISTEN 18964/httpd

tcp6 0 0 :::8443 :::* LISTEN 18031/java

Thin fails to load using: thin -C /etc/katello/thin.yml start

Starting server on 127.0.0.1:5000 ...

Starting server on 127.0.0.1:5001 ...

Starting server on 127.0.0.1:5002 ...

Exiting!

 /usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/postgresql_adapter.rb:1158:in `async_exec':

PGError: ERROR: relation "content_view_definition_bases" does not exist

Created: nicholasvmoore on September 18, 2013 01:53 +00:00
Comment 1

Log files can be accessed here: http://pdx.betaori.net/katello_logs.tgz

Created: nicholasvmoore on September 18, 2013 01:58 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/24636069

History

05/17/2024 1/2

https://api.github.com/repos/Katello/katello/issues/2986
http://pdx.betaori.net/katello_logs.tgz
https://api.github.com/repos/Katello/katello/issues/comments/24636069


#1 - 04/08/2014 06:20 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

No longer relevant with the changes to content views and new installer.

#2 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
